Subject: Re: [Techspec] Proposed additional requirement: change history and provenance for RFCs

From: Allison Mankin <[email-masked]>
Date: Wed, 02 Nov 2005 04:29:36 -0800

Hi, Leslie and Paul,

There are two points in the draft that have some reference
reference to these, one not there yet :)

4.8  the publisher's maintenance of the catalog

4.9  the IETF's potential requirements for information encoded
     in the stable permanent identifier; provenance would
     be a reasonable word for this info.

> - The change history for an RFC that updates or obsoletes an earlier 
> RFC. Some RFCs are very good about listing this type of information, but 
> many (particularly those that update instead of obsolete) are not. This 
> type of information needs to be available to implementers who are handed 
> a pile of RFCs and told to implement the "current standard".

The current intent is that any approved i-ds must document internally 
what it obsoletes and updates, and that the WG and IESG together ensure
this information is in there.  The technical publisher territory here
is only that the tech pub has to show it correctly in their catalog,
the other work is all done by the IETF.  

> - The provenance information, namely what caused the document to be 
> published as an RFC. For example, if you are looking at an informational 
> RFC, it is nearly impossible to tell whether it was a self-submitted RFC 
> or one that came from a WG action, unless you know exactly which 
> different boilerplate text was used at which time relative to when the 
> RFC was published. Similarly, knowing if an older standards-track RFC 
> was an individual submission or a WG item can help an implementer look 
> for mailing lists where the RFC was discussed.

How we signal the provenance - in the stable permanent identifier,
in the catalog - I think this is in the realm of the tech spec
requirements, and needs the higher requirement - that we want to
do it, and then specific ones.

Allison

_______________________________________________
Techspec mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/techspec